//
//  test.m
//  cospaces-dev-moe
//
//  Created by Kirill Prazdnikov on 06/04/2017.
//  Copyright © 2017 Delightex GmbH. All rights reserved.
//
//  clang test.m -c -S -O2 -Os -fobjc-arc -arch arm64 -isysroot ${iphoneos_sdk}
//  clang test.m -c -S -O2 -Os -mllvm --x86-asm-syntax=intel -fobjc-arc -arch x86_64 -isysroot ${iphonesimulator_sdk}

#import <Foundation/Foundation.h>

@interface NSMyClass : NSObject {
  // Protected instance variables (not recommended)
}
- (instancetype)init;
- (instancetype)initWithStirng:(NSString *)aModel;

@property (copy) NSString *model;
@end


@implementation NSMyClass {}

- (id)initWithStirng:(NSString *)aString {
  self = [self init];
  if (self) {
    _model = aString;
  }
  return self;
}
  
- (id)init {
  return nil;
}

@end

const char* someCode() {
  id a = [[NSMyClass alloc] init];
  id b = [[NSMyClass alloc] initWithStirng:@"String"];
  return (a == 0 && b == 0) ? "a == 0 && b == 0\n" : "a != 0 || b != 0\n";
}
